> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/espanol/facilitadores/sdks/java-sdk/used-classes/body/docfromtemplate.md).

# DocFromTemplate

Class inherited from the [Doc ](/espanol/facilitadores/sdks/java-sdk/used-classes/body/doc.md)class.

### Properties:

<table><thead><tr><th width="270.3333333333333">name</th><th align="center">type</th><th>description</th></tr></thead><tbody><tr><td>signer_name</td><td align="center">String</td><td>Signer name</td></tr><tr><td>template_id</td><td align="center">String</td><td>Template Id</td></tr><tr><td>data</td><td align="center">List&#x3C;<a href="/pages/IhAqipkx7h0MjuWmowJp">DeParaTemplate</a>></td><td>class list of variables</td></tr><tr><td>send_automatic_email</td><td align="center">boolean</td><td><p>If true, ZapSign will send an email to the signer with the link to sign the document. If false (default), you will be responsible for sharing the subscription link with the signatory, whether through your website, widget, WhatsApp, SMS, email, chat etc. </p><p>Note: For this to work, it is mandatory that the signer's email address is defined.</p></td></tr><tr><td>send_automatic_whatsapp</td><td align="center">boolean</td><td><p>If true, ZapSign will send a whatsapp to the signer with the link to sign the document. If false (default), you will be responsible for sharing the subscription link with the signatory, whether through your website, widget, WhatsApp, SMS, email, chat etc. </p><p>Note: For this to work, it is mandatory that the signer's cell phone is defined.</p></td></tr><tr><td>custom_message </td><td align="center">String</td><td><p>The custom_message is the personalized message that you can insert in the email sent by ZapSign to the signer. </p><p>Example: "Hello So-and-so, \n This is your employment contract. \n Hugs, Team XPTO". The \n symbol serves to "skip a line" in the email text. Default: ""</p></td></tr><tr><td>signer_has_incomplete_fields </td><td align="center">boolean</td><td>If set to <em>true</em>, the signer will be redirected to fill out the template form before signing the document. Default: false</td></tr></tbody></table>

### Override:

DocFromTemplate não recebe signatários, então não é possivel realizar metodos como:&#x20;

* getSigners
* setSigners


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/espanol/facilitadores/sdks/java-sdk/used-classes/body/docfromtemplate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
